function MC (T, C, nbsimul)
R = chol(C); % On calcule la matrice de Cholesky une fois pour toutes.

somme = 0;
somme2 = 0;
for i = 1:nbsimul
    valeur = simulation_prMC(T,R);
    somme = somme + valeur;
    somme2 = somme2 + valeur^2;
end
moyenne = somme / nbsimul;
variance = somme2 / nbsimul - moyenne^2;
fprintf('Distance moyenne : %.5f ± %.5f\n', moyenne, 1.96*sqrt(variance/nbsimul));
end

